## ros-kinetic-py-trees 0.5.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(py_trees)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

##############################################################################
# Unit Tests
##############################################################################

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(tests)
endif()

=== Makefile ===
#############################################################################################
# Build Documentation
#############################################################################################

NAME=`./setup.py --name`
VERSION=`./setup.py --version`

help:
	@echo "Local Build"
	@echo "  build     : build the python package"
	@echo "  tests     : run all of the nosetests"
	@echo "  clean     : clean build/dist directories"
	@echo "Packages"
	@echo "  pypi      : upload the package to PyPI"
	@echo "  source_deb: source packaging (for ppas)"
	@echo "  deb       : build the deb"
	@echo "Documentation"
	@echo "  docs      : buidl sphinx documentation"

docs:
	PY_TREES_DISABLE_COLORS=1 sphinx-build -b html doc doc/html

build:
	python setup.py build

clean:
	-rm -f MANIFEST
	-rm -rf build dist
	-rm -rf deb_dist
	-rm -rf debian
	-rm -rf ../*.build
	-rm -rf *.tar.gz
	-rm -rf *.egg-info

source_package:
	python setup.py sdist

source_deb:
	rm -rf dist deb_dist
	python setup.py --command-packages=stdeb.command sdist_dsc

deb:
	rm -rf dist deb_dist
	python setup.py --command-packages=stdeb.command bdist_deb

# Pypi Packaging Tutorial: https://packaging.python.org/tutorials/packaging-projects/
#
# Use with a ~/.pypirc file:
#
# [distutils]
# index-servers =
#     pypi
#
# [pypi]
# repository = https://upload.pypi.org/legacy/
# username:<username>
# password:<password>
#
# Note, you probably need to register the first time.
# You can also send it to testpypi first if you wish (see tutorial).

pypi:
	python setup.py sdist bdist_wheel
	twine upload dist/*

pypi_test:
	python setup.py sdist bdist_wheel
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

tests:
	python setup.py test

.PHONY: tests clean

=== doc/requirements.txt ===
-r ../rtd-requirements.txt
Sphinx
sphinx-argparse
sphinx_rtd_theme

=== debian/changelog ===
ros-kinetic-py-trees (0.5.12-0xenial) xenial; urgency=high

  [decorators] default option for collapsing decorators (resolves py_trees_ros bug)

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-kinetic-py-trees (0.5.11-0xenial) xenial; urgency=high

  [decorators] new-style decorators can be found in py_trees.decorators
  [decorators] new-style decorators now stop their running child on completion (SUCCESS||FAILURE)
  [decorators] onshot now activates upon *successful completion* (SUCCESS only), previously on *any completion* (SUCCESS||FAILURE)
  [meta] behaviours from functions can now automagically generate names

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-kinetic-py-trees (0.5.10-0xenial) xenial; urgency=high

  * [meta] add children monkeypatching for composite imposters
  * [blackboard] check for nested variables in WaitForBlackboard

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 17 Jun 2017 04:00:00 -0000

ros-kinetic-py-trees (0.5.9-0xenial) xenial; urgency=high

  * [docs] bugfix image links and rewrite the motivation

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 25 Mar 2017 04:00:00 -0000

ros-kinetic-py-trees (0.5.8-0xenial) xenial; urgency=high

  * [infra] setup.py tests_require, not test_require

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-kinetic-py-trees (0.5.7-0xenial) xenial; urgency=high

  * [infra] update maintainer email

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.5-0xenial) xenial; urgency=high

  * [docs] many minor doc updates
  * [meta] bugfix so that imposter now ticks over composite children
  * [trees] method for getting the tip of the tree
  * [programs] py-trees-render program added

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.4-0xenial) xenial; urgency=high

  * [infra] handle pypi/catkin conflicts with install_requires

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 22 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.2-0xenial) xenial; urgency=high

  * [docs] disable colour when building
  * [docs] sidebar headings
  * [docs] dont require project installation

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 22 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.1-0xenial) xenial; urgency=high

  * [infra] pypi package enabled

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 21 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.5.0-0xenial) xenial; urgency=high

  * [ros] components moved to py_trees_ros
  * [timeout] bugfix to ensure timeout decorator initialises properly
  * [docs] rolled over with napolean style
  * [docs] sphinx documentation updated
  * [imposter] make sure tip() drills down into composites
  * [demos] re-organised into modules

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 21 Feb 2017 05:00:00 -0000

ros-kinetic-py-trees (0.4.0-0xenial) xenial; urgency=high

  * [trees] add pre/post handlers after setup, just in case setup fails
  * [introspection] do parent lookups so you can crawl back up a tree
  * [blackboard] permit init of subscriber2blackboard behaviours
  * [blackboard] watchers
  * [timers] better feedback messages
  * [imposter] ensure stop() directly calls the composited behaviour

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 13 Jan 2017 05:00:00 -0000

ros-kinetic-py-trees (0.3.0-0xenial) xenial; urgency=high

  * ``failure_is_running decorator`` (meta).

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 25 Aug 2016 04:00:00 -0000

ros-kinetic-py-trees (0.2.0-0xenial) xenial; urgency=high

  * do terminate properly amongst relevant classes
  * blackboxes
  * chooser variant of selectors
  * bugfix the decorators
  * blackboard updates on change only
  * improved dot graph creation
  * many bugfixes to composites
  * subscriber behaviours
  * timer behaviours

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-kinetic-py-trees (0.1.2-0xenial) xenial; urgency=high

  * one shot sequences
  * abort() renamed more appropriately to stop()

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 16 Nov 2015 05:00:00 -0000

ros-kinetic-py-trees (0.1.1-0xenial) xenial; urgency=high

  * lots of bugfixing stabilising py_trees for the spain field test
  * complement decorator for behaviours
  * dot tree views
  * ascii tree and tick views
  * use generators and visitors to more efficiently walk/introspect trees
  * a first implementation of behaviour trees in python

 -- Daniel Stonier <stonier@yujinrobot.com>  Sat, 10 Oct 2015 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-py-trees
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-kinetic-catkin
Homepage: http://py-trees.readthedocs.io
Standards-Version: 3.9.2

Package: ros-kinetic-py-trees
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-enum34, python-pydot
Description: Pythonic implementation of behaviour trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-py-trees//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
